[arch-commits] Commit in lesstif/repos (4 files)

Eric Bélanger eric at archlinux.org
Tue Jan 5 16:47:05 EST 2010


    Date: Tuesday, January 5, 2010 @ 16:47:05
  Author: eric
Revision: 62256

Merged revisions 62255 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/lesstif/trunk

........
  r62255 | eric | 2010-01-05 16:46:47 -0500 (Tue, 05 Jan 2010) | 2 lines
  
  upgpkg: lesstif 0.95.2-2
      Fixed segmentation fault when doing copy/paste on i686 (close FS#17712)
........

Added:
  lesstif/repos/extra-i686/040_fedora_XxxxProperty-64bit.diff
    (from rev 62255, lesstif/trunk/040_fedora_XxxxProperty-64bit.diff)
Modified:
  lesstif/repos/extra-i686/	(properties)
  lesstif/repos/extra-i686/ChangeLog
  lesstif/repos/extra-i686/PKGBUILD

------------------------------------+
 040_fedora_XxxxProperty-64bit.diff |   20 ++++++++++++++++++++
 ChangeLog                          |    5 +++++
 PKGBUILD                           |   11 +++++++----
 3 files changed, 32 insertions(+), 4 deletions(-)


Property changes on: lesstif/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /lesstif/trunk:1-62089
   + /lesstif/trunk:1-62255

Copied: lesstif/repos/extra-i686/040_fedora_XxxxProperty-64bit.diff (from rev 62255, lesstif/trunk/040_fedora_XxxxProperty-64bit.diff)
===================================================================
--- extra-i686/040_fedora_XxxxProperty-64bit.diff	                        (rev 0)
+++ extra-i686/040_fedora_XxxxProperty-64bit.diff	2010-01-05 21:47:05 UTC (rev 62256)
@@ -0,0 +1,20 @@
+Description: Copy/paste segfaults on i386
+Forwarded: yes
+Author: Hans de Goede <hdegoede at redhat.com>
+diff -up lesstif-0.95.2/lib/Xm-2.1/CutPaste.c.long64 lesstif-0.95.2/lib/Xm-2.1/CutPaste.c
+--- lesstif-0.95.2/lib/Xm-2.1/CutPaste.c.long64	2007-09-12 22:05:58.000000000 +0200
++++ lesstif-0.95.2/lib/Xm-2.1/CutPaste.c	2009-07-28 11:32:20.000000000 +0200
+@@ -1028,9 +1028,11 @@ _XmClipboardReplaceItem(Display *display
+ 	/* XChangeProperty expects a buffer of longs when receiving 32 bits
+ 	   data, MEUHH */
+ 	if (sizeof(long) != 4)
++	{
+ 	    convert_buf = XtMalloc(len * sizeof(long));
+-        for (i = 0; i < len; i++)
+-            convert_buf[i] = data[i];
++	    for (i = 0; i < len; i++)
++                convert_buf[i] = data[i];
++	}
+ 	break;
+ 
+     case 16:

Modified: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2010-01-05 21:46:47 UTC (rev 62255)
+++ extra-i686/ChangeLog	2010-01-05 21:47:05 UTC (rev 62256)
@@ -1,3 +1,8 @@
+2010-01-05  Eric Belanger  <eric at archlinux.org>
+
+	* lesstif 0.95.2-2
+	* Fixed segmentation fault when doing copy/paste on i686 (close FS#17712)
+
 2009-12-30  Eric Belanger  <eric at archlinux.org>
 
 	* lesstif 0.95.2-1

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2010-01-05 21:46:47 UTC (rev 62255)
+++ extra-i686/PKGBUILD	2010-01-05 21:47:05 UTC (rev 62256)
@@ -4,7 +4,7 @@
 
 pkgname=lesstif
 pkgver=0.95.2
-pkgrel=1
+pkgrel=2
 pkgdesc="LGPL'd re-implementation of Motif"
 arch=('i686' 'x86_64')
 url="http://www.lesstif.org/"
@@ -12,12 +12,15 @@
 depends=('freetype2' 'libxt' 'libxp')
 options=('!libtool')
 source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2 \
-	LICENSE)
-md5sums=('754187dbac09fcf5d18296437e72a32f' 'b1f320192a9154f72d83e9d3d5a25a2f')
-sha1sums=('b894e544d529a235a6a665d48ca94a465f44a4e5' '5d7f38555417cb617d7d5b7e41a93af8430dc638')
+	LICENSE 040_fedora_XxxxProperty-64bit.diff)
+md5sums=('754187dbac09fcf5d18296437e72a32f' 'b1f320192a9154f72d83e9d3d5a25a2f'\
+         '30e2c0babc84696af089d55cb9cb2908')
+sha1sums=('b894e544d529a235a6a665d48ca94a465f44a4e5' '5d7f38555417cb617d7d5b7e41a93af8430dc638'\
+         '85412aba25058110db8da99da4a2c5ab44330467')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -p1 < ../040_fedora_XxxxProperty-64bit.diff || return 1
   ./configure --prefix=/usr --mandir=/usr/share/man --docdir=/usr/share/doc \
     --enable-production --enable-nonstandard-conversions --enable-editres \
     --with-xdnd --enable-build-21 --disable-debug --enable-static || return 1



More information about the arch-commits mailing list